AMQP-GET(1)

NAME
amqp-get - Get a message from a queue on an AMQP server

SYNOPSIS

amqp-get [OPTION...] {-q queue name}

DESCRIPTION

amqp-get attempts to consume a single message from a queue on an AMQP server, and exits. Unless the queue was empty, the body of the resulting message is sent to standard output.

OPTIONS

-q, --queue=queue name
    The name of the queue to consume messages from.

EXIT STATUS

If the queue is not empty, and a message is successfully retrieved, the exit status is 0. If an error occurs, the exit status is 1. If the queue is found to be empty, the exit status is 2.

EXAMPLES

Get a message from the queue “myqueue”, and display its body on standard output:

        $ amqp-get -q myqueue

SEE ALSO

librabbitmq-tools(7) describes connection-related options common to all the RabbitMQ C Client tools.

AUTHOR

The RabbitMQ Team <<info@rabbitmq.com>>